curl --request PUT \
--url https://api.leadping.ai/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>"
}
'import requests
url = "https://api.leadping.ai/users/me"
payload = { "phone": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/users/me");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"phone\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.leadping.ai/users/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phone\": \"<string>\"\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: '<string>'})
};
fetch('https://api.leadping.ai/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/users/me"
payload := strings.NewReader("{\n \"phone\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/users/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'phone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"timeZoneId": "<string>",
"billingPlan": "Annual",
"subscriptionStatus": "Pending",
"billingState": {
"hasStripeCustomer": true,
"hasPaymentMethod": true,
"phoneNumberQuantity": 123,
"organizationMemberQuantity": 123,
"organizationMemberAssignedQuantity": 123,
"pendingBillingPlan": "Annual",
"billingPlanChangeEffectiveAt": "2023-11-07T05:31:56Z",
"planRenewalAt": "2023-11-07T05:31:56Z",
"planPeriodStartAt": "2023-11-07T05:31:56Z",
"cancelAt": "2023-11-07T05:31:56Z",
"dunning": {
"stage": "<string>",
"paymentFailedAt": "2023-11-07T05:31:56Z",
"lastFailedInvoiceStatus": "<string>",
"retryAttemptCount": 123,
"nextRetryAt": "2023-11-07T05:31:56Z",
"gracePeriodEndsAt": "2023-11-07T05:31:56Z",
"outboundRestrictedAt": "2023-11-07T05:31:56Z",
"outboundSuspendedAt": "2023-11-07T05:31:56Z",
"finalCancellationAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
},
"lastSubscriptionEventAt": "2023-11-07T05:31:56Z",
"lastPaymentMethodEventAt": "2023-11-07T05:31:56Z"
},
"roles": [
"<string>"
],
"identities": [
{
"issuer": "<string>",
"issuerAssignedId": "<string>",
"signInType": "<string>"
}
],
"currentOrganization": {
"id": "<string>",
"name": "<string>"
},
"compliance": {
"acceptedTerms": true,
"acceptedToSubscription": true,
"acceptedSms": true,
"acceptedBaa": true,
"acceptedEmail": true,
"trustedFormCertificates": [
{
"id": "<string>",
"url": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"notificationPreferences": {
"smsConsentOptedIn": true,
"smsConsentUpdatedAt": "2023-11-07T05:31:56Z",
"smsConsentTrustedFormCertificate": {
"id": "<string>",
"url": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"paymentFailedEnabled": true,
"paymentFailedSmsEnabled": true,
"lowWalletBalanceEnabled": true,
"lowWalletBalanceEmailEnabled": true,
"lowWalletBalanceSmsEnabled": true,
"tenDlcStatusEnabled": true,
"newLeadEnabled": true,
"newLeadEmailEnabled": true,
"newLeadSmsEnabled": true,
"missedCallEnabled": true,
"missedCallEmailEnabled": true,
"missedCallSmsEnabled": true,
"unreadSmsEnabled": true,
"unreadSmsEmailEnabled": true,
"unreadSmsSmsEnabled": true,
"automationFailedEnabled": true,
"automationFailedEmailEnabled": true,
"automationFailedSmsEnabled": true,
"billingEmailEnabled": true,
"billingSmsEnabled": true,
"subscriptionRenewingEnabled": true,
"subscriptionRenewingEmailEnabled": true,
"subscriptionRenewingSmsEnabled": true,
"usageLimitHitEnabled": true
},
"mobileDevicePreferences": [
{
"device": {
"id": "<string>",
"name": "<string>"
},
"inboundPhoneCallsEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"lastLoggedInAt": "2023-11-07T05:31:56Z",
"personalDataDeletionRequestedAt": "2023-11-07T05:31:56Z",
"personalDataDeletedAt": "2023-11-07T05:31:56Z",
"personalDataDeletionStatus": "<string>",
"personalDataDeletionReason": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Update current user account profile
Updates the current user’s profile fields, contact details, preferences, or organization context used across Leadping.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Body
The user request payload for the operation.
Defines the fields clients can send when working with user profile.
Phone details for the lead, user, or organization represented by this user profile request.
Display name for the user.
First name of the lead, user, or contact represented by this user profile request.
Last name of the lead, user, or contact represented by this user profile request.
IANA time zone identifier used when displaying dates and times for this user.
Notification preferences configured for the user.
Show child attributes
Show child attributes
Response
Returns the user response.
Describes user data returned by Leadping.
The email address associated with this user.
First name for this user.
Last name of the Leadping user.
The phone number associated with this user.
IANA time zone identifier used when displaying dates and times for this user.
Identifies the Leadping subscription plan that determines organization features, allowances, and billing behavior.
Annual, Monthly Describes an organization's billing subscription lifecycle, including trial, active, delinquent, canceled, and expired states.
Pending, Active, Overdue, Canceled Customer-safe billing state for the user's currently selected organization.
Show child attributes
Show child attributes
The roles included with this user.
A Leadping user role value.
The identities included with this user.
Show child attributes
Show child attributes
Current organization for this user.
Show child attributes
Show child attributes
Compliance for this user.
Show child attributes
Show child attributes
Notification preferences for this user.
Show child attributes
Show child attributes
The Leadping mobile device preferences for this user.
Show child attributes
Show child attributes
The date and time when this user last completed the Leadping sign-in flow.
UTC timestamp for personal data deletion requested at on this user.
UTC timestamp for personal data deleted at on this user.
The current personal data deletion status for this user.
The human-readable personal data deletion reason explaining this user.
Human-readable display name of the resource.
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

